%global         momorel 1

Name:           perl-Term-UI
Version:        0.46
Release:        %{momorel}m%{?dist}
Epoch:          20
Summary:        Term::ReadLine UI made easy
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Term-UI/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/Term-UI-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-if
BuildRequires:  perl-Locale-Maketext-Simple
BuildRequires:  perl-Log-Message-Simple
BuildRequires:  perl-Params-Check
BuildRequires:  perl-Term-ReadLine
BuildRequires:  perl-Test-Simple >= 0.31
Requires:       perl-if
Requires:       perl-Locale-Maketext-Simple
Requires:       perl-Log-Message-Simple
Requires:       perl-Params-Check
Requires:       perl-Term-ReadLine
Requires:       perl-Test-Simple >= 0.31
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Term::UI is a transparent way of eliminating the overhead of having to
format a question and then validate the reply, informing the user if the
answer was not proper and re-issuing the question.

%prep
%setup -q -n Term-UI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES META.json README
%{perl_vendorlib}/Term/UI.pm
%{perl_vendorlib}/Term/UI
%{_mandir}/man3/*

%changelog
* Thu Jan 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (20:0.46-1m)
- update 0.46

* Sun Jun 22 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (20:0.42-1m)
- perl-Term-UI was removed from perl core libraries
